import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
      'https://gist.githubusercontent.com/JCarpenter-WPI/707ae8cae0422998831355133c122244/raw/College%2520Scorecard%2520Data%2520Select%2520Variables.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.PCT_BORN_US = +d.PCT_BORN_US;
      d.POVERTY_RATE = +d.POVERTY_RATE;
      d.UNEMP_RATE = +d.UNEMP_RATE;
      d.NPT4_PUB = +d.NPT4_PUB;
      d.SAT_AVG = +d.SAT_AVG;
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};